---
title: MediaStreamAudioDestinationNode.stream
slug: Web/API/MediaStreamAudioDestinationNode/stream
tags:
  - API
  - Audio
  - MediaStreamAudioDestinationNode
  - Property
  - Reference
  - Web Audio API
  - stream
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>stream</code> property of the {{ domxref("AudioContext") }} interface represents a {{domxref("MediaStream")}} containing a single audio {{domxref("MediaStreamTrack")}} with the same number of channels as the node itself.</p>

<p>You can use this property to get a stream out of the audio graph and feed it into another construct, such as a <a href="/en-US/docs/Web/API/MediaRecorder_API">Media Recorder</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var audioCtx = new AudioContext();
var destination = audioCtx.createMediaStreamDestination();
var myStream = destination.stream;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStream")}} containing a single audio track. The audio track is a {{domxref("MediaStreamTrack")}} whose {{domxref("MediaStreamTrack.kind", "kind")}} is <code>audio</code>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createMediaStreamDestination","Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-mediastreamaudiodestinationnode-stream', 'stream')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaStreamAudioDestinationNode.stream")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
